Subject: bug#73304: Python in relocatable guix pack leads to wrong sys.path

From: Konrad Hinsen <[email-masked]>
Date: Fri, 31 Jan 2025 15:12:40 +0100

Hi,

Maxim Cournoyer <[email-masked]> writes:

> The workaround looks smart (too smart for my tired brain tonight), but
> to be honest I'd rather have Python handle the relative paths correctly,
> or work around it in our sitecustomize.py script that runs early when

That's indeed preferable, but according to my analysis not possible, as
there are situations of faulty startup behavior in which out
sitecustomize.py is not run at all.

What we can envisage is a combination of
 1. patching Python
 2. using realpath rather than normpath in our sitecustomize.py

Cheers,
  Konrad.